"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="5"
"COUNT"="2"
"UIPATH"="Appearance\Files&Folders\"New" Context Menu"
"NAME"="New File Contents"
"VERSION"="1.00.A"
"OSVERSION"="111"
"LANGUAGE"="VBScript"
"TEXT 1"="Add Data to 'New' file"
"TEXT 2"="Remove 'New' File Contents"
"DESCRIPTION 1"="Click on the 'Add Data to 'New' file' button to add data to the files that are created by the 'New' command. Click this button and enter the file extension. Please enter only the file that is in the 'New' menu. Do not enter the beginning dot."
"DESCRIPTION 2"="The 'Remove 'New' File Contents' button is for removing the file content without removing the file from the 'New' menu. Just click this and enter the file extension. Please enter only the file that is in the 'New' menu. Do not enter the beginning dot."
"DESCRIPTION 3"="For Eg. if you are a perl scripter, click the Button and enter 'pl', without the quotes, at prompt. Then at the next prompt, '#!/usr/bin/perl' without the quotes."
"DESCRIPTION 4"="All the files created with the "Context Menu -> New" from context menu are usally empty. This plugin gives you the option to create files with content in them."
"DESCRIPTION 5"="For Eg., all the batch file you create can have the words @echo off at the top, for perl files, #!/usr/bin/perl at the top etc. The rest I leave to your imagination."
"AUTHOR"="Binny V Abraham"
"CONTACTURL"="http://www.geocities.com/binnyva"
"COPYRIGHT"="Copyright  Binny's Softwares - All Rights Reserved"
"COMMENT 1"="This plugin progamming began and ended on 7/12/2003"

sPath = "HKEY_CLASSES_ROOT\."
sNew = "\ShellNew"

Sub Plugin_Initialize
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
  Select Case ElementIndex
  
  Case 1 ' If the clicked button is 'Add Data to 'New' file'
    file=InputWindow("Please enter the extension of the file type, without the beginning dot, e.g TXT","",1) 
    if IsEmpty(file)=false then 'user has not clicked CANCEL
      if RegPathExists(sPath & file & sNew) then
        data = InputWindow("Enter what is to be in the file when it is created","",1)
          if IsEmpty(data)=false then
            if RegValueExists("HKEY_CLASSES_ROOT\." & file &"\ShellNew\NullFile") then 'Deletes the 'NullFile' String
              Call RegDeleteValue("HKEY_CLASSES_ROOT\." & file &"\ShellNew\NullFile")
              Call RegWriteValue("HKEY_CLASSES_ROOT\." & file &"\ShellNew\Data",data,1)   'write string          
            else Call RegWriteValue("HKEY_CLASSES_ROOT\." & file &"\ShellNew\Data",data,1)   'I did this stupid act because of some bug that won't let me do both at the same time
            end if
          end if
      else
        Call MsgInformation("The file type '" & file & "' is not in the 'New' context menu.")
        Call DebugMsg("The path is " & sPath & file & sNew) 'DEBUG
      end if
    end if
    
  Case 2 ' If the clicked button is 'Remove 'New' File Contents'
    file=InputWindow("Please enter the extension of the file type, without the beginning dot, e.g. TXT","",1) 
    if IsEmpty(file)=false then 'user has not clicked CANCEL
      if RegPathExists(sPath & file & sNew) then        
        if RegValueExists("HKEY_CLASSES_ROOT\." & file &"\ShellNew\Data") then
          Call RegDeleteValue("HKEY_CLASSES_ROOT\." & file &"\ShellNew\Data")
          Call RegWriteValue("HKEY_CLASSES_ROOT\." & file &"\ShellNew\NullFile","",1)
        else MsgInformation(sPath & file & sNew & "\Data don't exist")
        end if
      else
        Call MsgInformation("The file type '" & file & "' is not in the 'New' context menu.")
        Call DebugMsg("The path is " & sPath & file & sNew) 'DEBUG
      end if
    end if  
  
  End Select  
End Sub

Sub Plugin_Terminate 
End Sub